Show / Hide Table of Contents

# Struct SDL.SDL_Event

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public struct SDL_Event

### Fields

| Improve this Doc View Source

#### adevice

##### Declaration

    public SDL.SDL_AudioDeviceEvent adevice

##### Field Value

Type | Description
--- | ---
SDL.SDL_AudioDeviceEvent |

| Improve this Doc View Source

#### button

##### Declaration

    public SDL.SDL_MouseButtonEvent button

##### Field Value

Type | Description
--- | ---
SDL.SDL_MouseButtonEvent |

| Improve this Doc View Source

#### caxis

##### Declaration

    public SDL.SDL_ControllerAxisEvent caxis

##### Field Value

Type | Description
--- | ---
SDL.SDL_ControllerAxisEvent |

| Improve this Doc View Source

#### cbutton

##### Declaration

    public SDL.SDL_ControllerButtonEvent cbutton

##### Field Value

Type | Description
--- | ---
SDL.SDL_ControllerButtonEvent |

| Improve this Doc View Source

#### cdevice

##### Declaration

    public SDL.SDL_ControllerDeviceEvent cdevice

##### Field Value

Type | Description
--- | ---
SDL.SDL_ControllerDeviceEvent |

| Improve this Doc View Source

#### dgesture

##### Declaration

    public SDL.SDL_DollarGestureEvent dgesture

##### Field Value

Type | Description
--- | ---
SDL.SDL_DollarGestureEvent |

| Improve this Doc View Source

#### display

##### Declaration

    public SDL.SDL_DisplayEvent display

##### Field Value

Type | Description
--- | ---
SDL.SDL_DisplayEvent |

| Improve this Doc View Source

#### drop

##### Declaration

    public SDL.SDL_DropEvent drop

##### Field Value

Type | Description
--- | ---
SDL.SDL_DropEvent |

| Improve this Doc View Source

#### edit

##### Declaration

    public SDL.SDL_TextEditingEvent edit

##### Field Value

Type | Description
--- | ---
SDL.SDL_TextEditingEvent |

| Improve this Doc View Source

#### jaxis

##### Declaration

    public SDL.SDL_JoyAxisEvent jaxis

##### Field Value

Type | Description
--- | ---
SDL.SDL_JoyAxisEvent |

| Improve this Doc View Source

#### jball

##### Declaration

    public SDL.SDL_JoyBallEvent jball

##### Field Value

Type | Description
--- | ---
SDL.SDL_JoyBallEvent |

| Improve this Doc View Source

#### jbutton

##### Declaration

    public SDL.SDL_JoyButtonEvent jbutton

##### Field Value

Type | Description
--- | ---
SDL.SDL_JoyButtonEvent |

| Improve this Doc View Source

#### jdevice

##### Declaration

    public SDL.SDL_JoyDeviceEvent jdevice

##### Field Value

Type | Description
--- | ---
SDL.SDL_JoyDeviceEvent |

| Improve this Doc View Source

#### jhat

##### Declaration

    public SDL.SDL_JoyHatEvent jhat

##### Field Value

Type | Description
--- | ---
SDL.SDL_JoyHatEvent |

| Improve this Doc View Source

#### key

##### Declaration

    public SDL.SDL_KeyboardEvent key

##### Field Value

Type | Description
--- | ---
SDL.SDL_KeyboardEvent |

| Improve this Doc View Source

#### mgesture

##### Declaration

    public SDL.SDL_MultiGestureEvent mgesture

##### Field Value

Type | Description
--- | ---
SDL.SDL_MultiGestureEvent |

| Improve this Doc View Source

#### motion

##### Declaration

    public SDL.SDL_MouseMotionEvent motion

##### Field Value

Type | Description
--- | ---
SDL.SDL_MouseMotionEvent |

| Improve this Doc View Source

#### quit

##### Declaration

    public SDL.SDL_QuitEvent quit

##### Field Value

Type | Description
--- | ---
SDL.SDL_QuitEvent |

| Improve this Doc View Source

#### sensor

##### Declaration

    public SDL.SDL_SensorEvent sensor

##### Field Value

Type | Description
--- | ---
SDL.SDL_SensorEvent |

| Improve this Doc View Source

#### syswm

##### Declaration

    public SDL.SDL_SysWMEvent syswm

##### Field Value

Type | Description
--- | ---
SDL.SDL_SysWMEvent |

| Improve this Doc View Source

#### text

##### Declaration

    public SDL.SDL_TextInputEvent text

##### Field Value

Type | Description
--- | ---
SDL.SDL_TextInputEvent |

| Improve this Doc View Source

#### tfinger

##### Declaration

    public SDL.SDL_TouchFingerEvent tfinger

##### Field Value

Type | Description
--- | ---
SDL.SDL_TouchFingerEvent |

| Improve this Doc View Source

#### type

##### Declaration

    public SDL.SDL_EventType type

##### Field Value

Type | Description
--- | ---
SDL.SDL_EventType |

| Improve this Doc View Source

#### user

##### Declaration

    public SDL.SDL_UserEvent user

##### Field Value

Type | Description
--- | ---
SDL.SDL_UserEvent |

| Improve this Doc View Source

#### wheel

##### Declaration

    public SDL.SDL_MouseWheelEvent wheel

##### Field Value

Type | Description
--- | ---
SDL.SDL_MouseWheelEvent |

| Improve this Doc View Source

#### window

##### Declaration

    public SDL.SDL_WindowEvent window

##### Field Value

Type | Description
--- | ---
SDL.SDL_WindowEvent |